Bug 864640 - katello-configure is not translated
katello-configure is not translated
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 16:22 EDT by Og Maciel
Modified: 2014-01-27 09:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-08 14:45:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Og Maciel 2012-10-09 16:22:05 EDT
Description of problem:

Running katello-configure on languages other than English gives you English only output

Version-Release number of selected component (if applicable):

* candlepin-0.7.12-1.el6_3.noarch
* candlepin-tomcat6-0.7.12-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-common-1.1.10-1h.el6_3.noarch
* katello-cli-headpin-0.2.2-1.el6_2.noarch
* katello-common-1.1.14-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.14-2h.el6_3.noarch
* katello-headpin-1.1.14-2h.el6_3.noarch
* katello-headpin-all-1.1.14-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch

How reproducible:


Steps to Reproduce:
1. LANG=pt_BR katello-configure --help
2.
3.
  
Actual results:

# LANG=pt_BR katello-configure org --help
Usage: /usr/sbin/katello-configure [options]
      --answer-file=ANSWER_FILE
           Path of the answer file
      --user-name=USER_NAME
           Katello administrative user (default: admin)
      --user-pass=USER_PASS
           Katello user's password (default: admin)
      --user-email=USER_EMAIL
           Katello user's email (default: root@localhost)
      --org-name=ORG_NAME
           Katello initial Organization (default: ACME_Corporation)
      --proxy-url=PROXY_URL
           HTTP Proxy URL (example: http://172.31.1.1)
      --proxy-port=PROXY_PORT
           HTTP Proxy port (default: 3128)
      --proxy-user=PROXY_USER
           HTTP Proxy user (proxy username, if auth is required)
      --proxy-pass=PROXY_PASS
           HTTP Proxy pass (proxy password, if auth is required)
      --db-name=DB_NAME
           Katello database name
      --db-user=DB_USER
           Katello database user
      --db-password=DB_PASSWORD
           Katello database password
      --candlepin-db-user=CANDLEPIN_DB_USER
           Candlepin database user
      --candlepin-db-password=CANDLEPIN_DB_PASSWORD
           Candlepin databse password
      --candlepin-db-name=CANDLEPIN_DB_NAME
           Candlepin database name
      --deployment=DEPLOYMENT
           Deployment type (one of "katello", "headpin", "cfse", "sam")
      --non-interactive=NON_INTERACTIVE
           Non-interactive installer mode
      --ssl-ca-password=SSL_CA_PASSWORD
           SSL CA password
      --ssl-ca-country=SSL_CA_COUNTRY
           SSL CA country
      --ssl-ca-state=SSL_CA_STATE
           SSL CA state
      --ssl-ca-city=SSL_CA_CITY
           SSL CA city
      --ssl-ca-org=SSL_CA_ORG
           SSL CA organization
      --ssl-ca-org-unit=SSL_CA_ORG_UNIT
           SSL CA organization unit
      --ssl-ca-cn=SSL_CA_CN
           SSL CA common name
      --ssl-ca-email=SSL_CA_EMAIL
           SSL CA e-mail address
      --ssl-cert-expiration=SSL_CERT_EXPIRATION
           SSL certificate expiration (in days)
      --ssl-ca-password-file=SSL_CA_PASSWORD_FILE
           SSL CA password file path
      --candlepin-ca-password-file=CANDLEPIN_CA_PASSWORD_FILE
           Candlepin CA password file path
      --keystore-password-file=KEYSTORE_PASSWORD_FILE
           Keystore password file path for Candlepin
      --nss-db-password-file=NSS_DB_PASSWORD_FILE
           NSS db password file path
      --nss-db-dir=NSS_DB_DIR
           NSS database path
      --ssl-pk12-password-file=SSL_PK12_PASSWORD_FILE
           PKCS12 password file path
      --auth-method=AUTH_METHOD
           Authentication method (database, ldap)
      --ldap-server=LDAP_SERVER
           LDAP server hostname
      --ldap-port=LDAP_PORT
           LDAP server hostname
      --ldap-server-type=LDAP_SERVER_TYPE
           LDAP server type (:posix, :active_directory, :free_ipa)
      --ldap-encryption=LDAP_ENCRYPTION
           Encryption method used in communication with LDAP server (<empty>, start_tls)
      --ldap-users-basedn=LDAP_USERS_BASEDN
           Base DN for users accounts
      --ldap-groups-basedn=LDAP_GROUPS_BASEDN
           Base DN for users groups
      --ldap-roles=LDAP_ROLES
           Use LDAP for roles membership definition (true, false)
      --ldap-anon-queries=LDAP_ANON_QUERIES
           Allow anonymous queries (true, false) for AD or FreeIPA
      --ldap-service-user=LDAP_SERVICE_USER
           Service username for non-anon queries (IPA, AD)
      --ldap-service-pass=LDAP_SERVICE_PASS
           Service password for non-anon queries (IPA, AD)
      --ldap-ad-domain=LDAP_AD_DOMAIN
           Domain for AD LDAP queries
      --es-min-mem=ES_MIN_MEM
           ElasticSearch ES_MIN_MEM java heap setting
      --es-max-mem=ES_MAX_MEM
           ElasticSearch ES_MAX_MEM java heap setting
      --psql-password-file=PSQL_PASSWORD_FILE
           PostgreSQL superuser password (NONE for no password)
      --oauth-token-file=OAUTH_TOKEN_FILE
           OAuth token file
      --pulp-user-password-file=PULP_USER_PASSWORD_FILE
           Pulp user password file
      --reset-data=RESET_DATA
           Set to 'YES' to erase all databases
      --reset-cache=RESET_CACHE
           Set to 'YES' to erase RPM packages from Pulp
      --job-workers=JOB_WORKERS
           Background job workers (default 1)
  -b
      --no-bars
           Do not show progress bars and output puppet log instead
  -d
      --debug
           Print more debugging information to on the stdout (use with -b)
  -c
      --only-show-config
           Print the resulting configuration and exit
  -h
      --help
           Show this short summary (more in the man page)

Expected results:

Output should be translated.


Additional info:
Comment 2 Mike McCune 2012-10-09 17:52:09 EDT
1.0 didn't support translated katello-configure, moving to 2.0
Comment 3 Og Maciel 2012-10-09 17:54:07 EDT
Might as well as translate katello-upgrade:

# LANG=pt_BR katello-upgrade --help
Usage: /usr/sbin/katello-upgrade [options]
    -y, --assumeyes                  Assume yes on confirmations
    -a, --autostop                   Automatically stop services
    -d, --dry-run                    Prints the upgrade steps without modifying anything
    -s, --skip-default               Skips the default upgrade steps
        --log=LOG_FILE               Log file, can also be set to stdout
    -h, --help                       Show this short summary
Comment 4 Bryan Kearney 2014-01-08 14:45:45 EST
Closing all L10N bugs until we can do a full translation path through the code.

Note You need to log in before you can comment on or make changes to this bug.